Package: groovy.swing.model

## [Java] Class DefaultTableModel.MyTableColumnModel

- groovy.swing.model.DefaultTableModel.MyTableColumnModel

-     protected static class DefaultTableModel.MyTableColumnModel
      extends DefaultTableColumnModel

  Column model implementation that keeps model indexes aligned with the current column order.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List` | `getColumnList()` Returns the live list of table columns.
    `` | `public void` | `moveColumn(int columnIndex, int newIndex)` Moves a column and then renumbers the model indexes to match the new order.
    `` | `public void` | `removeColumn(TableColumn column)` Removes a column and then renumbers the remaining model indexes.
    `` | `public void` | `renumberTableColumns()` Reassigns model indexes to match the current column order.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultTableColumnModel` | `addColumn, addColumnModelListener, equals, getClass, getColumn, getColumnCount, getColumnIndex, getColumnIndexAtX, getColumnMargin, getColumnModelListeners, getColumnSelectionAllowed, getColumns, getListeners, getSelectedColumnCount, getSelectedColumns, getSelectionModel, getTotalColumnWidth, hashCode, moveColumn, notify, notifyAll, propertyChange, removeColumn, removeColumnModelListener, setColumnMargin, setColumnSelectionAllowed, setSelectionModel, toString, valueChanged, wait, wait, wait`

- - ### Method Detail

    - #### public List getColumnList()

      Returns the live list of table columns.

      Returns:
        the backing column list

    - #### public void moveColumn(int columnIndex, int newIndex)

      Moves a column and then renumbers the model indexes to match the new order.

      Parameters:
        `columnIndex` - the source column index
        `newIndex` - the destination column index

    - #### public void removeColumn(TableColumn column)

      Removes a column and then renumbers the remaining model indexes.

      Parameters:
        `column` - the column to remove

    - #### public void renumberTableColumns()

      Reassigns model indexes to match the current column order.